org.apache.lucene.codecs.lucene50

## Class Lucene50PostingsFormat.IntBlockTermState

- java.lang.Object
- - org.apache.lucene.index.TermState
  - - org.apache.lucene.index.OrdTermState
    - - org.apache.lucene.codecs.BlockTermState
      - - org.apache.lucene.codecs.lucene50.Lucene50PostingsFormat.IntBlockTermState

- All Implemented Interfaces:
    Cloneable
  Enclosing class:
    Lucene50PostingsFormat

      public static final class Lucene50PostingsFormat.IntBlockTermState
      extends BlockTermState

  Holds all state required for `Lucene50PostingsReader` to produce a `PostingsEnum` without re-seeking the terms dict.
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `docStartFP` file pointer to the start of the doc ids enumeration, in `Lucene50PostingsFormat.DOC_EXTENSION` file
    `long` | `lastPosBlockOffset` file offset for the last position in the last block, if there are more than `Lucene50PostingsFormat.BLOCK_SIZE` positions; otherwise -1
    `long` | `payStartFP` file pointer to the start of the payloads enumeration, in `Lucene50PostingsFormat.PAY_EXTENSION` file
    `long` | `posStartFP` file pointer to the start of the positions enumeration, in `Lucene50PostingsFormat.POS_EXTENSION` file
    `int` | `singletonDocID` docid when there is a single pulsed posting, otherwise -1.
    `long` | `skipOffset` file offset for the start of the skip list, relative to docStartFP, if there are more than `Lucene50PostingsFormat.BLOCK_SIZE` docs; otherwise -1

    - ### Fields inherited from class org.apache.lucene.codecs.BlockTermState

      `blockFilePointer, docFreq, termBlockOrd, totalTermFreq`

    - ### Fields inherited from class org.apache.lucene.index.OrdTermState

      `ord`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntBlockTermState()` Sole constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Lucene50PostingsFormat.IntBlockTermState` | `clone()`
    `void` | `copyFrom(TermState _other)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### docStartFP

          public long docStartFP

      file pointer to the start of the doc ids enumeration, in `Lucene50PostingsFormat.DOC_EXTENSION` file

    - #### posStartFP

          public long posStartFP

      file pointer to the start of the positions enumeration, in `Lucene50PostingsFormat.POS_EXTENSION` file

    - #### payStartFP

          public long payStartFP

      file pointer to the start of the payloads enumeration, in `Lucene50PostingsFormat.PAY_EXTENSION` file

    - #### skipOffset

          public long skipOffset

      file offset for the start of the skip list, relative to docStartFP, if there are more than `Lucene50PostingsFormat.BLOCK_SIZE` docs; otherwise -1

    - #### lastPosBlockOffset

          public long lastPosBlockOffset

      file offset for the last position in the last block, if there are more than `Lucene50PostingsFormat.BLOCK_SIZE` positions; otherwise -1

    - #### singletonDocID

          public int singletonDocID

      docid when there is a single pulsed posting, otherwise -1. freq is always implicitly totalTermFreq in this case.

  - ### Constructor Detail

    - #### IntBlockTermState

          public IntBlockTermState()

      Sole constructor.

  - ### Method Detail

    - #### clone

          public Lucene50PostingsFormat.IntBlockTermState clone()

      Overrides:
        `clone` in class `TermState`

    - #### copyFrom

          public void copyFrom(TermState _other)

      Overrides:
        `copyFrom` in class `BlockTermState`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `BlockTermState`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.